// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef POA_CURRENT_IDL
#define POA_CURRENT_IDL

#include <OB/Current.idl>
#include <OB/POACommon.idl>

#pragma prefix "omg.org"

module PortableServer
{
#pragma version PortableServer 2.3

local interface POA;

local interface Current : CORBA::Current
{
#pragma version Current 2.3

    exception NoContext
    {
    };

    POA get_POA()
	raises (NoContext);

    ObjectId get_object_id()
	raises (NoContext);

    Object get_reference()
        raises (NoContext);

    Servant get_servant()
        raises (NoContext);
};

}; // End module PortableServer

#endif
